Summary
Get historical graded compliance reports with pagination support.
Description
Get historical graded compliance reports for a device on a node with pagination support.
Route
POST /configuration_manager/compliance_reports/query/history
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| treeId |
string |
yes |
- |
| version |
string |
yes |
- |
| nodePath |
string |
yes |
- |
| filter |
object |
yes |
- |
| options |
object |
yes |
- |
Copied to Clipboard
{
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "draft-v4",
"nodePath": "base",
"filter": {
"deviceName": "xr9kv-atl",
"taskId": "5c35355dbebaa82eaf8113f0"
},
"options": {
"weights": {
"error": 65402228.15077934,
"warning": -74205237.77122808,
"info": -81066753.47694443
},
"limit": 39292154
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"treeId": {
"title": "treeId",
"$ref": "common#/definitions/mongoObjectId"
},
"version": {
"title": "version",
"$ref": "goldenConfigData#/definitions/goldenConfigTreeVersionName"
},
"nodePath": {
"title": "nodePath",
"$ref": "goldenConfigData#/definitions/goldenConfigNodePath"
},
"filter": {
"title": "filter",
"properties": {
"deviceName": {
"$ref": "deviceData#/definitions/deviceName"
},
"taskId": {
"$ref": "common#/definitions/mongoObjectId"
}
}
},
"options": {
"title": "options",
"$ref": "goldenConfigData#/definitions/gradeDeviceComplianceHistoryOptions"
}
},
"required": [
"treeId",
"version",
"nodePath",
"filter",
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| graded_compliance_history |
object |
- |
Copied to Clipboard
{
"total": 21458745.90349233,
"history": [
{
"id": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"error": 1044391,
"warning": 17466742,
"info": 82777679,
"pass": 80536237,
"score": 53.63071656583172,
"grade": "pass"
}
]
}